Subject: Anyone heard of Hecsharp tools

From: [email-masked] (Doug Willoughby - Area Systems Engineer)
Date: 27 Jul 1995 18:00:47 GMT

The subject line pretty much says it all. I just ran across an old
micrometer with a manufacture's stamp the reads "Hecsharp". On the
other side it is engraved with "Made in Germany" in the same style
as the fractional equivalents. The micrometer is old, but I can't
say how old. I'm guessing "Hecsharp" may be a private label, since
its stamped and not engraved.

Just curious.

Doug